Subject: [bug#62062] [PATCH] guix: Strip #:use-module lists.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 13 Mar 2023 15:19:26 +0100

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> This was obtained by setting up this environment:
>>
>>   guix shell -D guix --with-input=[email-masked]=guile-next \
>>     --with-commit=guile-next=e2ed33ef0445c867fe56c247054aa67e834861f2
>>     -- make -j5
>>
>> then adding 'unused-module' to (@@ (guix build compiler) %warnings),
>> building, and checking all the "unused module" warnings and removing
>> those that were definitely unused.
>
> This looks great :)
>
> It does change some guix/build/ modules though, so I think that is the
> reason it affects ~3227 packages. Maybe this could be split so that
> anything affecting packages goes to core-updates, and the rest of the
> changes go to master?

Sorry for being disorganized: I just saw this after pushing the patch.

Consequently, I reverted some of the guix/build changes in
0bb0eeddf647e5d56afd4517b12919a36acac6ee.

I’ll leave the rest for ‘core-updates’.

I should have checked data.qa.guix to see the number of rebuilds, right?

Thanks!

Ludo’.